%global debug_package %{nil}

Name:           xi-editor
Version:        0.3.0
Release:        2%{?dist}
Summary:        Modern editor with a backend written in Rust

License:        Apache
URL:            https://github.com/xi-editor/xi-editor
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cargo
BuildRequires:  rust

%description
The xi-editor project is an attempt to build a high quality text editor, using
modern software engineering techniques. It is initially built for macOS, using
Cocoa for the user interface. There are also frontends for other operating
systems available from third-party developers.


%prep
%autosetup -p1


%install
cargo install --root=%{buildroot}%{_prefix} --path=rust
rm -f   %{buildroot}%{_prefix}/.crates.toml \
        %{buildroot}%{_prefix}/.crates2.json
strip %{buildroot}%{_bindir}/*


%files
%license LICENSE
%doc README.md AUTHORS CODE_OF_CONDUCT.md
%{_bindir}/xi-core


%changelog
* Sat Oct 05 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.3.0-1
- Initial package
